Subject: Re: bug#28596: 26.0.60; Gnus gets into an ambiguous plugged/unplugged state that prevents retrieval of news

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Dec 2017 13:07:39 +0100

[email-masked] (N. Jackson) writes:

> Furthermore, I might have been inaccurate when I reported that C-g
> didn't quit at all. I might have not waited long enough. On a
> later hang when I waited after pressing C-g, Emacs came back after
> about two minutes.

C-g should quit Gnus' operations immediately.  The "came back after two
minutes" is the typical thing you see on the TLS hang scenario -- I
think Emacs comes unstuck when the server closes the connection (due to
no traffic).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no